package alx.czysta_java.p06_streamy;

import java.text.Collator;
import java.util.List;

public class FilterMap {
    public static void main(String[] args) {
        // kolekcje tworzone za pomocą .of (od Java 9) są niemodyfikowalne - operacje add, remove, sort kończą się błędem
        List<String> lista = List.of("Bartek", "Łukasz", "Zenon", "Ala", "Tadeusz", "Ola", "Dorota", "Ala", "Marek");
        System.out.println(lista);

        lista.stream()
                .filter(s -> s.length() > 3)
                .map(s -> s.toLowerCase())
                .forEach(s -> System.out.println(s));
        System.out.println();

        lista.stream()
                .filter(s -> s.length() > 3)
                .map(String::toUpperCase)
                .sorted(Collator.getInstance())
                .forEachOrdered(System.out::println);
    }
}
